package com.ss.android.ugc.aweme.im.sdk.chat.data.model;

import X.9EH;
import android.content.Context;
import android.text.TextUtils;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.im.sdk.share.data.model.PureDataSharePackage;
import com.ss.android.ugc.aweme.sharer.ui.SharePackage;

public class ShareWebContent extends AbsShareWebContent {
    static {
        Covode.recordClassIndex(84141);
    }

    public boolean fromThirdShare() {
        return false;
    }

    public SharePackage generateSharePackage() {
        SharePackage LIZ = PureDataSharePackage.LIZ.LIZ("web");
        LIZ.LJIILJJIL.putSerializable("thumb_url", getImage());
        return LIZ;
    }

    public String getMsgHint() {
        return 9EH.LJJIFFI.LIZ().getString(2131826033, new Object[]{getTitle()});
    }

    public String getQuoteHint(Context context) {
        return context.getResources().getString(2131825936);
    }

    public static ShareWebContent fromSharePackage(SharePackage sharePackage) {
        ShareWebContent shareWebContent = new ShareWebContent();
        shareWebContent.setTitle(sharePackage.LJIIJJI);
        shareWebContent.setDesc(sharePackage.LJIIL);
        shareWebContent.setImage(sharePackage.LJIILJJIL.getString("thumb_url"));
        String string = sharePackage.LJIILJJIL.getString("url_for_im_share");
        if (TextUtils.isEmpty(string)) {
            string = sharePackage.LJIILIIL;
        }
        shareWebContent.setUrl(string);
        shareWebContent.setPushDetail(sharePackage.LJIIJJI);
        return shareWebContent;
    }

    public String wrapMsgHint(boolean z, boolean z2, String str) {
        Context LIZ = 9EH.LJJIFFI.LIZ();
        if (z || z2) {
            return LIZ.getString(2131822398);
        }
        return LIZ.getString(2131832094);
    }
}
